[ Maverik Level 1 typedefs ]

#

MAV_cylinder

## Summary

Default object class ``cylinder''.

## Syntax

    typedef struct {
      float radius;
      float height;
      int nverts;
      int endcap;
      MAV_surfaceParams *sp;
      MAV_matrix matrix;
      void *userdef;
    } MAV_cylinder;

## Description

The cylinder is defined with its centre at the origin and its axis aligned along the Z axis. It has a radius, `radius`, and a height, `height`, along the Z axis.

When rendered, `nverts` vertices are used (if greater than two and `mav_opt_curveLOD` is not set) to facet the curved surface of the cylinder, and the symbolic constant `endcap`, set to `MAV_TRUE` or `MAV_FALSE`, control whether or not the object has endfaces or is effectively hollow.

Back to the index page.